import request from '@/utils/request'

// 查询保养标准信息列表
export function listStandard(query) {
  return request({
    url: '/dms/standard/list',
    method: 'get',
    params: query
  })
}

// 查询保养标准信息详细
export function getStandard(maintStandardId) {
  return request({
    url: '/dms/standard/' + maintStandardId,
    method: 'get'
  })
}

// 新增保养标准信息
export function addStandard(data) {
  return request({
    url: '/dms/standard',
    method: 'post',
    data: data
  })
}

// 修改保养标准信息
export function updateStandard(data) {
  return request({
    url: '/dms/standard',
    method: 'put',
    data: data
  })
}

// 删除保养标准信息
export function delStandard(maintStandardId) {
  return request({
    url: '/dms/standard/' + maintStandardId,
    method: 'delete'
  })
}
